Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606209 - Memory leak in Sentinella 0.6.2 and earlier
Memory leak in Sentinella 0.6.2 and earlier
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sentinella (Show other bugs)
rawhide
All All
low Severity medium
: ---
: ---
Assigned To: Thomas Janssen
Fedora Extras Quality Assurance
http://sourceforge.net/tracker/index....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 02:17 EDT by Niels Thykier
Modified: 2010-07-13 03:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: sentinella-0.6.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels Thykier 2010-06-21 02:17:33 EDT
Hi

Currently Sentinella 0.6.2 uses the wrong close method in MainWindow.cpp, which causes a leak in libsysactivity. Upstream has already fixed it in CVS and I thought you might be interested in applying it as well.
  There is also a backported version available at [1], which is applied in the Debian package.

You may also be interested in backporting the fix for [2].

~Niels
The packager for Sentinella and libsysactivity in Debian.

[1] http://git.debian.org/?p=collab-maint/sentinella.git;a=blob;f=debian/patches/bp_close_process.patch;h=cfd3bdddfe8a2226fd38a16897e20f22230dea39;hb=860c63b52c75b5077d21fbce32547600bb70fe74

[2] http://sourceforge.net/tracker/?func=detail&aid=3016583&group_id=277778&atid=1179456

Debian patch: http://git.debian.org/?p=collab-maint/sentinella.git;a=blob;f=debian/patches/bp_alc_leak_on_error.patch;h=0ea547d1694d11a5795361a6aa04f9c073fabf52;hb=860c63b52c75b5077d21fbce32547600bb70fe74
Comment 1 Thomas Janssen 2010-06-21 14:54:11 EDT
Hi Niels :)

Patching it currently. Thank you very much for the heads up!
Comment 2 Fedora Update System 2010-06-21 15:49:18 EDT
sentinella-0.6.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sentinella-0.6.2-2.fc13
Comment 3 Fedora Update System 2010-06-22 13:19:46 EDT
sentinella-0.6.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sentinella'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sentinella-0.6.2-2.fc13
Comment 4 Fedora Update System 2010-07-13 03:32:20 EDT
sentinella-0.6.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.